// 
//    Distributed SPH Fluid Simulator (asterix@index.hu)
// =============================================================================
//
// Copyright 2007 David Illes
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 

#ifndef GRIDCELL_H
#define GRIDCELL_H

#include "particle.hpp"

#define ARRAYSIZE 80
//-----------------------------------------------------------------------------
// a cell of the grid of the particlesystem
//=============================================================================
class GridCell {
//=============================================================================
public:
	Particle**	particles;
	int			current_size;			// shows how much is the particle array
	int			num_of_particles;		// number of particles
	int			firstfree;				// first free place in the particles array

	GridCell();

	void addParticle(Particle* p);
	void removeParticle(int id);
};

#endif /*GRIDCELL_H*/
