//      ___                       ___           ___           ___       ___     
//     /\__\          ___        /\__\         /\  \         /\__\     /\  \.   
//    /::|  |        /\  \      /::|  |       /::\  \       /:/  /    /::\  \.  
//   /:|:|  |        \:\  \    /:|:|  |      /:/\:\  \     /:/  /    /:/\:\  \. 
//  /:/|:|__|__      /::\__\  /:/|:|  |__   /:/  \:\  \   /:/  /    /::\~\:\  \.
// /:/ |::::\__\  __/:/\/__/ /:/ |:| /\__\ /:/__/_\:\__\ /:/__/    /:/\:\ \:\__\.
// \/__/~~/:/  / /\/:/  /    \/__|:|/:/  / \:\  /\ \/__/ \:\  \    \:\~\:\ \/__/
//       /:/  /  \::/__/         |:/:/  /   \:\ \:\__\    \:\  \    \:\ \:\__\. 
//      /:/  /    \:\__\         |::/  /     \:\/:/  /     \:\  \    \:\ \/__/  
//     /:/  /      \/__/         /:/  /       \::/  /       \:\__\    \:\__\.   
//     \/__/                     \/__/         \/__/         \/__/     \/__/    
// 
// =============================================================================
//                       Minimalist OpenGL Environment
//                       Parallel Rendering Extension
// =============================================================================
//
// Copyright 2007 Balazs Domonkos
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

/// @file parallel-common.h
/// Common declarations for all modules

#ifndef __MINGLE_PARALLEL_COMMON_H__
#define __MINGLE_PARALLEL_COMMON_H__

//#ifdef HAVE_CONFIG_H
    // GNU build system configuration file
#   include "config.h"
//#else
    // TODO: emulate the same HAVE_SOMETHING macros
    // MinGLE is based on the GNU build system
//#endif

// Undefine MinGLE-Parallel package information
#undef PACKAGE
#undef PACKAGE_BUGREPORT
#undef PACKAGE_COPYRIGHT
#undef PACKAGE_NAME
#undef PACKAGE_STRING
#undef PACKAGE_TARNAME
#undef PACKAGE_VERSION
#undef VERSION

// Include MinGLE header
#ifndef MINGLE_SOURCE_PATH
#	include <mingle/mingle.h>
#else
#	include "../../mingle/include/mingle.h"
#endif // defined(MINGLE_SOURCE_PATH)

// Check HP Parallel Compositing Library support
#if MINGLE_PARACOMP_SUPPORT == 1 && !defined(HAVE_PCAPI_H)
#	error HP Parallel Compositing Library support is enabled, but pcapi.h is not installed on your system! 
#endif

#endif // __MINGLE_PARALLEL_COMMON_H__
