//      ___                       ___           ___           ___       ___     
//     /\__\          ___        /\__\         /\  \         /\__\     /\  \.   
//    /::|  |        /\  \      /::|  |       /::\  \       /:/  /    /::\  \.  
//   /:|:|  |        \:\  \    /:|:|  |      /:/\:\  \     /:/  /    /:/\:\  \. 
//  /:/|:|__|__      /::\__\  /:/|:|  |__   /:/  \:\  \   /:/  /    /::\~\:\  \.
// /:/ |::::\__\  __/:/\/__/ /:/ |:| /\__\ /:/__/_\:\__\ /:/__/    /:/\:\ \:\__\.
// \/__/~~/:/  / /\/:/  /    \/__|:|/:/  / \:\  /\ \/__/ \:\  \    \:\~\:\ \/__/
//       /:/  /  \::/__/         |:/:/  /   \:\ \:\__\    \:\  \    \:\ \:\__\. 
//      /:/  /    \:\__\         |::/  /     \:\/:/  /     \:\  \    \:\ \/__/  
//     /:/  /      \/__/         /:/  /       \::/  /       \:\__\    \:\__\.   
//     \/__/                     \/__/         \/__/         \/__/     \/__/    
// 
// =============================================================================
//                       Minimalist OpenGL Environment
// =============================================================================
//
// Copyright 2007 Balazs Domonkos
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

/// @file common.h
/// Common declarations for all modules

#ifndef __MINGLE_COMMON_H__
#define __MINGLE_COMMON_H__

//#ifdef HAVE_CONFIG_H
    // GNU build system configuration file
#   include "config.h"
//#else
    // TODO: emulate the same HAVE_SOMETHING macros
    // MinGLE is based on the GNU build system
//#endif

// Check OpenGL Extension Wrangler Library support
#if MINGLE_GLEW_SUPPORT == 1 && !defined(HAVE_GL_GLEW_H)
#	error OpenGL Extension Wrangler Library support is enabled, but GL/glew.h is not installed on your system! 
#endif
#if MINGLE_GLEW_SUPPORT == 1 && !defined(HAVE_LIBGLEW)
#	error OpenGL Extension Wrangler Library support is enabled, but libGLEW is not installed on your system! 
#endif

// Check GLUT header and library
#if MINGLE_GLUT_SUPPORT == 1 && !defined(HAVE_GL_GLUT_H)
#	error GLUT render system is enabled, but GL/glut.h is not installed on your system!
#endif
#if MINGLE_GLUT_SUPPORT == 1 && !defined(HAVE_LIBGLUT)
#	error GLUT render system is enabled, but libglut is not installed on your system!
#endif

// TODO this is for development only
#undef MINGLE_SDL_SUPPORT
#define MINGLE_SDL_SUPPORT 0
#undef MINGLE_GLX_SUPPORT
#define MINGLE_GLX_SUPPORT 0
#undef MINGLE_WINDOWS_SUPPORT
#define MINGLE_WINDOWS_SUPPORT 0

// Check DevIL headers and libraries
#if MINGLE_DEVIL_SUPPORT == 1 && !defined(HAVE_IL_IL_H)
#	error Image support is enabled, but IL/il.h is not installed on your system!
#endif
#if MINGLE_DEVIL_SUPPORT == 1 && !defined(HAVE_IL_ILU_H)
#	error Image support is enabled, but IL/ilu.h is not installed on your system!
#endif
#if MINGLE_DEVIL_SUPPORT == 1 && !defined(HAVE_IL_ILUT_H)
#	error Image support is enabled, but IL/ilut.h is not installed on your system!
#endif
#if MINGLE_DEVIL_SUPPORT == 1 && !defined(HAVE_LIBIL)
#	error Image support is enabled, but libIL is not installed on your system!
#endif
#if MINGLE_DEVIL_SUPPORT == 1 && !defined(HAVE_LIBILU)
#	error Image support is enabled, but libILU is not installed on your system!
#endif
#if MINGLE_DEVIL_SUPPORT == 1 && !defined(HAVE_LIBILUT)
#	error Image support is enabled, but libILUT is not installed on your system!
#endif

// Check FreeType headers and libraries
#if MINGLE_FREETYPE_SUPPORT == 1 && !defined(HAVE_FT2BUILD_H)
#	error Font support is enabled, but ft2build.h is not installed on your system!
#endif
#if MINGLE_FREETYPE_SUPPORT == 1 && !defined(HAVE_LIBFREETYPE)
#	error Font support is enabled, but libfreetype is not installed on your system!
#endif

// Internal thread handling
#if defined(HAVE_PTH_H) && defined(HAVE_LIBPTH)
#define MINGLE_THREADING_LIBPTH 1
#elif defined(HAVE_PTHREAD_H) && defined(HAVE_LIBPTHREAD)
#define MINGLE_THREADING_LIBPTHREAD 1
#else
#	error Cannot found any supported thread library on your system!
#endif 

#endif
