//      ___                       ___           ___           ___       ___     
//     /\__\          ___        /\__\         /\  \         /\__\     /\  \.    
//    /::|  |        /\  \      /::|  |       /::\  \       /:/  /    /::\  \.   
//   /:|:|  |        \:\  \    /:|:|  |      /:/\:\  \     /:/  /    /:/\:\  \.  
//  /:/|:|__|__      /::\__\  /:/|:|  |__   /:/  \:\  \   /:/  /    /::\~\:\  \. 
// /:/ |::::\__\  __/:/\/__/ /:/ |:| /\__\ /:/__/_\:\__\ /:/__/    /:/\:\ \:\__\.
// \/__/~~/:/  / /\/:/  /    \/__|:|/:/  / \:\  /\ \/__/ \:\  \    \:\~\:\ \/__/
//       /:/  /  \::/__/         |:/:/  /   \:\ \:\__\    \:\  \    \:\ \:\__\.  
//      /:/  /    \:\__\         |::/  /     \:\/:/  /     \:\  \    \:\ \/__/  
//     /:/  /      \/__/         /:/  /       \::/  /       \:\__\    \:\__\.    
//     \/__/                     \/__/         \/__/         \/__/     \/__/    
// 
// =============================================================================
//                       Minimalist OpenGL Environment
// =============================================================================
//
// This file is part of Minimalist OpenGL Environment (MinGLE)
//
// Version: 0.2.0
// Author: Balazs Domonkos
// Filename: include/mingle.h
// Creation Date: December 12th 2007
// Revision Date: December 12th 2007
//
//
// The Minimalist OpenGL Environment is free software: you can
// redistribute it and/or modify it under the terms of the GNU
// General Public License as published by the Free Software
// Foundation, either version 3 of the License, or (at your
// option) any later version.
//
// The Minimalist OpenGL Environment is distributed in the hope
// that it will be useful, but WITHOUT ANY WARRANTY; without
// even the implied warranty of MERCHANTABILITY or FITNESS FOR
// A PARTICULAR PURPOSE. See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License
// along with Minimalist OpenGL Environment.  If not, see 
// <http://www.gnu.org/licenses/>. See the COPYING file included 
// with this distribution file for license details.
//

/// @file mingle.h
/// Minimalist OpenGL Environment

// Information about the project
/// @mainpage MinGLE API Reference
/// @par
/// This is the complete API reference for MinGLE; contained within are the 
/// specifications for each class and the methods on those classes which you 
/// can refer to when writing code which uses MinGLE.

/// @version 0.2
/// @author Balazs Domonkos

#ifndef __MINGLE_H__
#define __MINGLE_H__

// Include MinGLE OpenGL header collection
#include "mingle-gl.h"

// Include used classes
#include "Exception.h"
#include "Manager.h"
#include "DynLoad.h"
#include "Listener.h"

#include "System.h"
#include "SystemListener.h"

#include "Configuration.h"

#include "Serialization.h"

#include "MathUtils.h"
#include "GLUtils.h"
#include "StringUtils.h"

#include "Window.h"
#include "InputListener.h"
#include "WindowListener.h"

#include "Timer.h"
#include "TimerListener.h"

#include "VirtualFileSystem.h"

#include "Threading.h"

#include "Imaging.h"
#include "Atlas.h"

#include "FontRendering.h"

#include "Gui.h"

#include "Cameras.h"
#include "Navigators.h"

// Include header files of embedded projects
#if MINGLE_FBO_SUPPORT == 1 && defined(MINGLE_ENABLE_FBO)
#include "framebufferObject.h"
#endif

#endif // __MINGLE_H__
