//      ___                       ___           ___           ___       ___     
//     /\__\          ___        /\__\         /\  \         /\__\     /\  \.    
//    /::|  |        /\  \      /::|  |       /::\  \       /:/  /    /::\  \.   
//   /:|:|  |        \:\  \    /:|:|  |      /:/\:\  \     /:/  /    /:/\:\  \.  
//  /:/|:|__|__      /::\__\  /:/|:|  |__   /:/  \:\  \   /:/  /    /::\~\:\  \. 
// /:/ |::::\__\  __/:/\/__/ /:/ |:| /\__\ /:/__/_\:\__\ /:/__/    /:/\:\ \:\__\.
// \/__/~~/:/  / /\/:/  /    \/__|:|/:/  / \:\  /\ \/__/ \:\  \    \:\~\:\ \/__/
//       /:/  /  \::/__/         |:/:/  /   \:\ \:\__\    \:\  \    \:\ \:\__\.  
//      /:/  /    \:\__\         |::/  /     \:\/:/  /     \:\  \    \:\ \/__/  
//     /:/  /      \/__/         /:/  /       \::/  /       \:\__\    \:\__\.    
//     \/__/                     \/__/         \/__/         \/__/     \/__/    
// 
// =============================================================================
//                       Minimalist OpenGL Environment
// =============================================================================
//
// This file is part of Minimalist OpenGL Environment (MinGLE)
//
// Version: 0.2.0
// Author: Balazs Domonkos
// Filename: src/configuration/include/XMLConfiguration.h
// Creation Date: January 27th 2008
// Revision Date: January 27th 2008
//
//
// The Minimalist OpenGL Environment is free software: you can
// redistribute it and/or modify it under the terms of the GNU
// General Public License as published by the Free Software
// Foundation, either version 3 of the License, or (at your
// option) any later version.
//
// The Minimalist OpenGL Environment is distributed in the hope
// that it will be useful, but WITHOUT ANY WARRANTY; without
// even the implied warranty of MERCHANTABILITY or FITNESS FOR
// A PARTICULAR PURPOSE. See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License
// along with Minimalist OpenGL Environment.  If not, see 
// <http://www.gnu.org/licenses/>. See the COPYING file included 
// with this distribution file for license details.
//

/// @file XMLConfiguration.h
/// Text configuration file support

#ifndef __MINGLE_XML_CONFIGURATION_H__
#define __MINGLE_XML_CONFIGURATION_H__

// Include class definitions
#include "classes.h"

// MinGLE headers
#include <Configuration.h>
#include "../../tinyxml/include/MingleTinyXml.h"

// System headers

namespace MinGLE {

class XMLConfiguration : public Configuration {
public:
	XMLConfiguration(const std::string& filename, VirtualFileSystem *vfs = VirtualFileSystemManager::getDefaultVirtualFileSystem());

protected:
	void _parseElement(const TiXmlElement *xmlElement);
	void _parseElement(Entry *parent, const TiXmlElement *xmlElement);
}; // class XMLConfiguration

// =============================================================================

class XMLConfigurationManager : public ConfigurationManager {
public:
	static const std::string FUNCTIONALITY_STRING;

public:
	~XMLConfigurationManager();
	static void registerConfigurationManager();

protected:
	virtual Configuration *_createConfiguration(const std::string& filename,
			VirtualFileSystem *vfs);
}; // class XMLConfigurationManager

} // namespace MinGLE

#endif // __MINGLE_XML_CONFIGURATION_H__
