//      ___                       ___           ___           ___       ___     
//     /\__\          ___        /\__\         /\  \         /\__\     /\  \.    
//    /::|  |        /\  \      /::|  |       /::\  \       /:/  /    /::\  \.   
//   /:|:|  |        \:\  \    /:|:|  |      /:/\:\  \     /:/  /    /:/\:\  \.  
//  /:/|:|__|__      /::\__\  /:/|:|  |__   /:/  \:\  \   /:/  /    /::\~\:\  \. 
// /:/ |::::\__\  __/:/\/__/ /:/ |:| /\__\ /:/__/_\:\__\ /:/__/    /:/\:\ \:\__\.
// \/__/~~/:/  / /\/:/  /    \/__|:|/:/  / \:\  /\ \/__/ \:\  \    \:\~\:\ \/__/
//       /:/  /  \::/__/         |:/:/  /   \:\ \:\__\    \:\  \    \:\ \:\__\.  
//      /:/  /    \:\__\         |::/  /     \:\/:/  /     \:\  \    \:\ \/__/  
//     /:/  /      \/__/         /:/  /       \::/  /       \:\__\    \:\__\.    
//     \/__/                     \/__/         \/__/         \/__/     \/__/    
// 
// =============================================================================
//                       Minimalist OpenGL Environment
// =============================================================================
//
// This file is part of Minimalist OpenGL Environment (MinGLE)
//
// Version: 0.2.0
// Author: Balazs Domonkos
// Filename: src/tinyxml/include/MingleTinyXml.h
// Creation Date: January 27th 2008
// Revision Date: January 27th 2008
//
//
// The Minimalist OpenGL Environment is free software: you can
// redistribute it and/or modify it under the terms of the GNU
// General Public License as published by the Free Software
// Foundation, either version 3 of the License, or (at your
// option) any later version.
//
// The Minimalist OpenGL Environment is distributed in the hope
// that it will be useful, but WITHOUT ANY WARRANTY; without
// even the implied warranty of MERCHANTABILITY or FITNESS FOR
// A PARTICULAR PURPOSE. See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License
// along with Minimalist OpenGL Environment.  If not, see 
// <http://www.gnu.org/licenses/>. See the COPYING file included 
// with this distribution file for license details.
//

/// @file MingleTinyXml.h
/// MinGLE wrapper for TinyXML

#ifndef __MINGLE_MINGLE_TINYXML_H__
#define __MINGLE_MINGLE_TINYXML_H__

// Include class definitions
#include "classes.h"

// MinGLE headers
#include <System.h>
#include <VirtualFileSystem.h>
#include "tinyxml.h"

namespace MinGLE {

class TinyXML {
public:
	static TiXmlDocument
			*createXML(const std::string &version = "1.0",
					const std::string &encoding = "",
					const std::string &standalone = "");

	static TiXmlDocument
			*loadXML(
					const std::string& filename,
					VirtualFileSystem *vfs = VirtualFileSystemManager::getDefaultVirtualFileSystem());

	static TiXmlDocument *loadXML(const std::string& blockName,
			const std::string& filename);

	static void
			saveXML(
					TiXmlDocument *document,
					const std::string& filename,
					VirtualFileSystem *vfs = VirtualFileSystemManager::getDefaultVirtualFileSystem());
}; // class TinyXML

} // namespace MinGLE

#endif // __MINGLE_MINGLE_TINYXML_H__
