// 
//    Distributed SPH Fluid Simulator (asterix@index.hu)
// =============================================================================
//
// Copyright 2007 David Illes
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 

#include "../include/gridcell.hpp"
#include <stdio.h>

//-----------------------------------------------------------------------------
// make the cell
//-----------------------------------------------------------------------------
GridCell::GridCell() {
//-----------------------------------------------------------------------------
	particles = new Particle*[ARRAYSIZE];
	for(int i=0;i<ARRAYSIZE;particles[i++]=NULL);
	current_size = 1;
	num_of_particles = 0;
	firstfree = 0;
}

//-----------------------------------------------------------------------------
// add a particle to the cell
//-----------------------------------------------------------------------------
void GridCell::addParticle(Particle* p) {
//-----------------------------------------------------------------------------
	p->cellid = num_of_particles;
	// out of range
	if (num_of_particles == current_size*ARRAYSIZE) {
		current_size++;
		Particle** ps = new Particle*[current_size*ARRAYSIZE];
		for(int i=0;i<num_of_particles;i++)
			ps[i] = particles[i];
		particles = ps;
	}
	particles[num_of_particles++]=p;
}

//-----------------------------------------------------------------------------
// remove a particle from the cell
//-----------------------------------------------------------------------------
void GridCell::removeParticle(int id) {
//-----------------------------------------------------------------------------
	// shorter the array
	num_of_particles--;
	for(int i=id;i<num_of_particles;i++) {
		particles[i] = particles[i+1];
		// refresh the cellid
		particles[i]->cellid = i;
	}
}
